function obtenerVista(controlador, metodo, destino) {
    let parametros ="controlador="+controlador+"&metodo="+metodo;
    let opciones = {method: "GET",};
    fetch("CFrontal.php?"+parametros, opciones)
        .then(res =>{
            if (res.ok) {
                return res.text();
            }
        })
        .then(vista => {
            document.getElementById(destino).innerHTML = vista;
        })
        .catch(err => {
            document.getElementById(destino).innerHTML = "Error: Se ha producido un erro buelba ha intentarlo mas tarde.";
        });

} // Fin obtenerVista

function buscar(controlador, metodo, formulario, destino){
    let parametros="controlador="+controlador+"&metodo="+metodo;
    parametros+="&"+new URLSearchParams(new FormData(document.getElementById(formulario))).toString();
    let opciones = {method: "GET",};
    fetch("CFrontal.php?"+parametros, opciones)
        .then(res =>{
            if(res.ok){
                return res.text();
            }
        })
        .then(vista =>{
            document.getElementById(destino).innerHTML = vista;
        })
        .catch(err =>{
            document.getElementById(destino).innerHTML = 'Se ha producido un error, vuelva intentarlo';
        })

} //FIN buscar